
Redmine - Patch #34444

Remove unused key :preview from Redmine::AccessKeys::ACCESSKEYS

2020-12-14 03:17 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.2.0   

Description

As reported in #30459, Redmine 4.0 and later no longer supports the accesskey "r" (updates the preview in editor mode) due to the

improvement of UI made by #27758.

The definition of the accesskey should be removed.

diff --git a/lib/redmine/access_keys.rb b/lib/redmine/access_keys.rb

index db66c7d84..a64ac0673 100644

--- a/lib/redmine/access_keys.rb

+++ b/lib/redmine/access_keys.rb

@@ -22,7 +22,6 @@ module Redmine

     unless const_defined?(:ACCESSKEYS)

       ACCESSKEYS = {

         :edit => 'e',

-        :preview => 'r',

         :quick_search => 'f',

         :search => '4',

         :new_issue => '7',

Related issues:

Related to Redmine - Feature #27758: Adds preview option to the wiki toolbar Closed

Related to Redmine - Feature #30459: Switch edit/preview tabs with keyboard s... Closed

Associated revisions

Revision 20705 - 2021-01-05 16:08 - Go MAEDA

Remove unused key :preview from Redmine::AccessKeys::ACCESSKEYS (#34444).

Patch by Go MAEDA.

History

#1 - 2020-12-14 03:18 - Go MAEDA

- Related to Feature #27758: Adds preview option to the wiki toolbar added

#2 - 2020-12-14 03:18 - Go MAEDA

- Related to Feature #30459: Switch edit/preview tabs with keyboard shortcuts added

#3 - 2021-01-01 08:45 - Go MAEDA

- Target version set to 4.2.0

Setting the target version to 4.2.0.

#4 - 2021-01-05 16:09 - Go MAEDA

- Subject changed from Remove :preview from Redmine::AccessKeys::ACCESSKEYS to Remove unused key :preview from

Redmine::AccessKeys::ACCESSKEYS

- Assignee set to Go MAEDA

Committed the patch.

#5 - 2021-01-05 16:11 - Go MAEDA
- Status changed from New to Closed
